Skip to content

Pipeline inputs

Create and manage the input payloads a pipeline runs with, for drafts and for locked versions.

List draft pipeline inputs by pipeline_ ID

Operation path: GET /api/v2/pipelines/{pipeline_id}/inputs

List the input payloads of a draft pipeline.

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
offset query integer false none
limit query integer false none

Example responses

200 Response

{
  "properties": {
    "count": {
      "readOnly": true,
      "title": "Count",
      "type": "integer"
    },
    "data": {
      "items": {
        "description": "Response schema for a pipeline input set.",
        "properties": {
          "createdAt": {
            "format": "date-time",
            "title": "Createdat",
            "type": "string"
          },
          "id": {
            "maxLength": 24,
            "minLength": 24,
            "pattern": "^[0-9a-fA-F]{24}$",
            "title": "Id",
            "type": "string"
          },
          "isDraft": {
            "title": "Isdraft",
            "type": "boolean"
          },
          "payload": {
            "additionalProperties": true,
            "title": "Payload",
            "type": "object"
          },
          "pipelineId": {
            "maxLength": 24,
            "minLength": 24,
            "pattern": "^[0-9a-fA-F]{24}$",
            "title": "Pipelineid",
            "type": "string"
          },
          "state": {
            "description": "Validation state of a pipeline input set.",
            "enum": [
              "VALID",
              "INVALID"
            ],
            "title": "PipelineInputState",
            "type": "string"
          },
          "updatedAt": {
            "format": "date-time",
            "title": "Updatedat",
            "type": "string"
          },
          "versionId": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Versionid"
          }
        },
        "required": [
          "id",
          "pipelineId",
          "isDraft",
          "payload",
          "state",
          "createdAt",
          "updatedAt"
        ],
        "title": "PipelineInputResponse",
        "type": "object"
      },
      "title": "Data",
      "type": "array"
    },
    "next": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Next"
    },
    "previous": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Previous"
    },
    "totalCount": {
      "title": "Totalcount",
      "type": "integer"
    }
  },
  "required": [
    "data",
    "totalCount",
    "count"
  ],
  "title": "DataPage[PipelineInputResponse]",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Successful Response DataPage_PipelineInputResponse_
422 Unprocessable Entity Validation Error HTTPValidationError

Create draft pipeline input by pipeline_ ID

Operation path: POST /api/v2/pipelines/{pipeline_id}/inputs

Create an input payload for a draft pipeline.

Body parameter

{
  "description": "Request body for creating a pipeline input set.",
  "properties": {
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    }
  },
  "required": [
    "payload"
  ],
  "title": "PipelineInputCreateRequest",
  "type": "object"
}

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
body body PipelineInputCreateRequest true none

Example responses

201 Response

{
  "description": "Response schema for a pipeline input set.",
  "properties": {
    "createdAt": {
      "format": "date-time",
      "title": "Createdat",
      "type": "string"
    },
    "id": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Id",
      "type": "string"
    },
    "isDraft": {
      "title": "Isdraft",
      "type": "boolean"
    },
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    },
    "pipelineId": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Pipelineid",
      "type": "string"
    },
    "state": {
      "description": "Validation state of a pipeline input set.",
      "enum": [
        "VALID",
        "INVALID"
      ],
      "title": "PipelineInputState",
      "type": "string"
    },
    "updatedAt": {
      "format": "date-time",
      "title": "Updatedat",
      "type": "string"
    },
    "versionId": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Versionid"
    }
  },
  "required": [
    "id",
    "pipelineId",
    "isDraft",
    "payload",
    "state",
    "createdAt",
    "updatedAt"
  ],
  "title": "PipelineInputResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
201 Created Successful Response PipelineInputResponse
422 Unprocessable Entity Validation Error HTTPValidationError

Delete draft pipeline input by pipeline_ ID

Operation path: DELETE /api/v2/pipelines/{pipeline_id}/inputs/{input_id}

Delete an input payload of a draft pipeline.

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
input_id path string true Input ID

Example responses

422 Response

{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "ctx": {
            "title": "Context",
            "type": "object"
          },
          "input": {
            "title": "Input"
          },
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "title": "Location",
            "type": "array"
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        },
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError",
        "type": "object"
      },
      "title": "Detail",
      "type": "array"
    }
  },
  "title": "HTTPValidationError",
  "type": "object"
}

Responses

Status Meaning Description Schema
204 No Content Successful Response None
422 Unprocessable Entity Validation Error HTTPValidationError

Get draft pipeline input by pipeline_ ID

Operation path: GET /api/v2/pipelines/{pipeline_id}/inputs/{input_id}

Retrieve an input payload of a draft pipeline.

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
input_id path string true Input ID

Example responses

200 Response

{
  "description": "Response schema for a pipeline input set.",
  "properties": {
    "createdAt": {
      "format": "date-time",
      "title": "Createdat",
      "type": "string"
    },
    "id": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Id",
      "type": "string"
    },
    "isDraft": {
      "title": "Isdraft",
      "type": "boolean"
    },
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    },
    "pipelineId": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Pipelineid",
      "type": "string"
    },
    "state": {
      "description": "Validation state of a pipeline input set.",
      "enum": [
        "VALID",
        "INVALID"
      ],
      "title": "PipelineInputState",
      "type": "string"
    },
    "updatedAt": {
      "format": "date-time",
      "title": "Updatedat",
      "type": "string"
    },
    "versionId": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Versionid"
    }
  },
  "required": [
    "id",
    "pipelineId",
    "isDraft",
    "payload",
    "state",
    "createdAt",
    "updatedAt"
  ],
  "title": "PipelineInputResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Successful Response PipelineInputResponse
422 Unprocessable Entity Validation Error HTTPValidationError

Update draft pipeline input by pipeline_ ID

Operation path: PATCH /api/v2/pipelines/{pipeline_id}/inputs/{input_id}

Update an input payload of a draft pipeline.

Body parameter

{
  "description": "Request body for updating a draft pipeline input set.",
  "properties": {
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    }
  },
  "required": [
    "payload"
  ],
  "title": "PipelineInputUpdateRequest",
  "type": "object"
}

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
input_id path string true Input ID
body body PipelineInputUpdateRequest true none

Example responses

200 Response

{
  "description": "Response schema for a pipeline input set.",
  "properties": {
    "createdAt": {
      "format": "date-time",
      "title": "Createdat",
      "type": "string"
    },
    "id": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Id",
      "type": "string"
    },
    "isDraft": {
      "title": "Isdraft",
      "type": "boolean"
    },
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    },
    "pipelineId": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Pipelineid",
      "type": "string"
    },
    "state": {
      "description": "Validation state of a pipeline input set.",
      "enum": [
        "VALID",
        "INVALID"
      ],
      "title": "PipelineInputState",
      "type": "string"
    },
    "updatedAt": {
      "format": "date-time",
      "title": "Updatedat",
      "type": "string"
    },
    "versionId": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Versionid"
    }
  },
  "required": [
    "id",
    "pipelineId",
    "isDraft",
    "payload",
    "state",
    "createdAt",
    "updatedAt"
  ],
  "title": "PipelineInputResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Successful Response PipelineInputResponse
422 Unprocessable Entity Validation Error HTTPValidationError

List pipeline version inputs by pipeline_ ID

Operation path: GET /api/v2/pipelines/{pipeline_id}/versions/{version_id}/inputs

List the input payloads of a locked pipeline version.

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
version_id path integer true Pipeline version number
offset query integer false none
limit query integer false none

Example responses

200 Response

{
  "properties": {
    "count": {
      "readOnly": true,
      "title": "Count",
      "type": "integer"
    },
    "data": {
      "items": {
        "description": "Response schema for a pipeline input set.",
        "properties": {
          "createdAt": {
            "format": "date-time",
            "title": "Createdat",
            "type": "string"
          },
          "id": {
            "maxLength": 24,
            "minLength": 24,
            "pattern": "^[0-9a-fA-F]{24}$",
            "title": "Id",
            "type": "string"
          },
          "isDraft": {
            "title": "Isdraft",
            "type": "boolean"
          },
          "payload": {
            "additionalProperties": true,
            "title": "Payload",
            "type": "object"
          },
          "pipelineId": {
            "maxLength": 24,
            "minLength": 24,
            "pattern": "^[0-9a-fA-F]{24}$",
            "title": "Pipelineid",
            "type": "string"
          },
          "state": {
            "description": "Validation state of a pipeline input set.",
            "enum": [
              "VALID",
              "INVALID"
            ],
            "title": "PipelineInputState",
            "type": "string"
          },
          "updatedAt": {
            "format": "date-time",
            "title": "Updatedat",
            "type": "string"
          },
          "versionId": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Versionid"
          }
        },
        "required": [
          "id",
          "pipelineId",
          "isDraft",
          "payload",
          "state",
          "createdAt",
          "updatedAt"
        ],
        "title": "PipelineInputResponse",
        "type": "object"
      },
      "title": "Data",
      "type": "array"
    },
    "next": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Next"
    },
    "previous": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Previous"
    },
    "totalCount": {
      "title": "Totalcount",
      "type": "integer"
    }
  },
  "required": [
    "data",
    "totalCount",
    "count"
  ],
  "title": "DataPage[PipelineInputResponse]",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Successful Response DataPage_PipelineInputResponse_
422 Unprocessable Entity Validation Error HTTPValidationError

Create pipeline version input by pipeline_ ID

Operation path: POST /api/v2/pipelines/{pipeline_id}/versions/{version_id}/inputs

Create an input payload for a locked pipeline version. Inputs of a locked version cannot be changed.

Body parameter

{
  "description": "Request body for creating a pipeline input set.",
  "properties": {
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    }
  },
  "required": [
    "payload"
  ],
  "title": "PipelineInputCreateRequest",
  "type": "object"
}

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
version_id path integer true Pipeline version number
body body PipelineInputCreateRequest true none

Example responses

201 Response

{
  "description": "Response schema for a pipeline input set.",
  "properties": {
    "createdAt": {
      "format": "date-time",
      "title": "Createdat",
      "type": "string"
    },
    "id": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Id",
      "type": "string"
    },
    "isDraft": {
      "title": "Isdraft",
      "type": "boolean"
    },
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    },
    "pipelineId": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Pipelineid",
      "type": "string"
    },
    "state": {
      "description": "Validation state of a pipeline input set.",
      "enum": [
        "VALID",
        "INVALID"
      ],
      "title": "PipelineInputState",
      "type": "string"
    },
    "updatedAt": {
      "format": "date-time",
      "title": "Updatedat",
      "type": "string"
    },
    "versionId": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Versionid"
    }
  },
  "required": [
    "id",
    "pipelineId",
    "isDraft",
    "payload",
    "state",
    "createdAt",
    "updatedAt"
  ],
  "title": "PipelineInputResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
201 Created Successful Response PipelineInputResponse
422 Unprocessable Entity Validation Error HTTPValidationError

Delete pipeline version input by pipeline_ ID

Operation path: DELETE /api/v2/pipelines/{pipeline_id}/versions/{version_id}/inputs/{input_id}

Delete an input payload of a locked pipeline version.

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
version_id path integer true Pipeline version number
input_id path string true Input ID

Example responses

422 Response

{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "ctx": {
            "title": "Context",
            "type": "object"
          },
          "input": {
            "title": "Input"
          },
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "title": "Location",
            "type": "array"
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        },
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError",
        "type": "object"
      },
      "title": "Detail",
      "type": "array"
    }
  },
  "title": "HTTPValidationError",
  "type": "object"
}

Responses

Status Meaning Description Schema
204 No Content Successful Response None
422 Unprocessable Entity Validation Error HTTPValidationError

Get pipeline version input by pipeline_ ID

Operation path: GET /api/v2/pipelines/{pipeline_id}/versions/{version_id}/inputs/{input_id}

Retrieve an input payload of a locked pipeline version.

Parameters

Name In Type Required Description
pipeline_id path string true Pipeline ID
version_id path integer true Pipeline version number
input_id path string true Input ID

Example responses

200 Response

{
  "description": "Response schema for a pipeline input set.",
  "properties": {
    "createdAt": {
      "format": "date-time",
      "title": "Createdat",
      "type": "string"
    },
    "id": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Id",
      "type": "string"
    },
    "isDraft": {
      "title": "Isdraft",
      "type": "boolean"
    },
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    },
    "pipelineId": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Pipelineid",
      "type": "string"
    },
    "state": {
      "description": "Validation state of a pipeline input set.",
      "enum": [
        "VALID",
        "INVALID"
      ],
      "title": "PipelineInputState",
      "type": "string"
    },
    "updatedAt": {
      "format": "date-time",
      "title": "Updatedat",
      "type": "string"
    },
    "versionId": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Versionid"
    }
  },
  "required": [
    "id",
    "pipelineId",
    "isDraft",
    "payload",
    "state",
    "createdAt",
    "updatedAt"
  ],
  "title": "PipelineInputResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Successful Response PipelineInputResponse
422 Unprocessable Entity Validation Error HTTPValidationError

Schemas

DataPage_PipelineInputResponse_

{
  "properties": {
    "count": {
      "readOnly": true,
      "title": "Count",
      "type": "integer"
    },
    "data": {
      "items": {
        "description": "Response schema for a pipeline input set.",
        "properties": {
          "createdAt": {
            "format": "date-time",
            "title": "Createdat",
            "type": "string"
          },
          "id": {
            "maxLength": 24,
            "minLength": 24,
            "pattern": "^[0-9a-fA-F]{24}$",
            "title": "Id",
            "type": "string"
          },
          "isDraft": {
            "title": "Isdraft",
            "type": "boolean"
          },
          "payload": {
            "additionalProperties": true,
            "title": "Payload",
            "type": "object"
          },
          "pipelineId": {
            "maxLength": 24,
            "minLength": 24,
            "pattern": "^[0-9a-fA-F]{24}$",
            "title": "Pipelineid",
            "type": "string"
          },
          "state": {
            "description": "Validation state of a pipeline input set.",
            "enum": [
              "VALID",
              "INVALID"
            ],
            "title": "PipelineInputState",
            "type": "string"
          },
          "updatedAt": {
            "format": "date-time",
            "title": "Updatedat",
            "type": "string"
          },
          "versionId": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Versionid"
          }
        },
        "required": [
          "id",
          "pipelineId",
          "isDraft",
          "payload",
          "state",
          "createdAt",
          "updatedAt"
        ],
        "title": "PipelineInputResponse",
        "type": "object"
      },
      "title": "Data",
      "type": "array"
    },
    "next": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Next"
    },
    "previous": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Previous"
    },
    "totalCount": {
      "title": "Totalcount",
      "type": "integer"
    }
  },
  "required": [
    "data",
    "totalCount",
    "count"
  ],
  "title": "DataPage[PipelineInputResponse]",
  "type": "object"
}

DataPage[PipelineInputResponse]

Properties

Name Type Required Restrictions Description
count integer true none
data [PipelineInputResponse] true [Response schema for a pipeline input set.]
next any false none

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
previous any false none

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
totalCount integer true none

HTTPValidationError

{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "ctx": {
            "title": "Context",
            "type": "object"
          },
          "input": {
            "title": "Input"
          },
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "title": "Location",
            "type": "array"
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        },
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError",
        "type": "object"
      },
      "title": "Detail",
      "type": "array"
    }
  },
  "title": "HTTPValidationError",
  "type": "object"
}

HTTPValidationError

Properties

Name Type Required Restrictions Description
detail [ValidationError] false none

PipelineInputCreateRequest

{
  "description": "Request body for creating a pipeline input set.",
  "properties": {
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    }
  },
  "required": [
    "payload"
  ],
  "title": "PipelineInputCreateRequest",
  "type": "object"
}

PipelineInputCreateRequest

Properties

Name Type Required Restrictions Description
payload object true none

PipelineInputResponse

{
  "description": "Response schema for a pipeline input set.",
  "properties": {
    "createdAt": {
      "format": "date-time",
      "title": "Createdat",
      "type": "string"
    },
    "id": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Id",
      "type": "string"
    },
    "isDraft": {
      "title": "Isdraft",
      "type": "boolean"
    },
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    },
    "pipelineId": {
      "maxLength": 24,
      "minLength": 24,
      "pattern": "^[0-9a-fA-F]{24}$",
      "title": "Pipelineid",
      "type": "string"
    },
    "state": {
      "description": "Validation state of a pipeline input set.",
      "enum": [
        "VALID",
        "INVALID"
      ],
      "title": "PipelineInputState",
      "type": "string"
    },
    "updatedAt": {
      "format": "date-time",
      "title": "Updatedat",
      "type": "string"
    },
    "versionId": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Versionid"
    }
  },
  "required": [
    "id",
    "pipelineId",
    "isDraft",
    "payload",
    "state",
    "createdAt",
    "updatedAt"
  ],
  "title": "PipelineInputResponse",
  "type": "object"
}

PipelineInputResponse

Properties

Name Type Required Restrictions Description
createdAt string(date-time) true none
id string true maxLength: 24
minLength: 24
minLength: 24
none
isDraft boolean true none
payload object true none
pipelineId string true maxLength: 24
minLength: 24
minLength: 24
none
state PipelineInputState true Validation state of a pipeline input set.
updatedAt string(date-time) true none
versionId any false none

anyOf

Name Type Required Restrictions Description
» anonymous integer false none

or

Name Type Required Restrictions Description
» anonymous null false none

PipelineInputState

{
  "description": "Validation state of a pipeline input set.",
  "enum": [
    "VALID",
    "INVALID"
  ],
  "title": "PipelineInputState",
  "type": "string"
}

PipelineInputState

Properties

Name Type Required Restrictions Description
PipelineInputState string false Validation state of a pipeline input set.

Enumerated Values

Property Value
PipelineInputState [VALID, INVALID]

PipelineInputUpdateRequest

{
  "description": "Request body for updating a draft pipeline input set.",
  "properties": {
    "payload": {
      "additionalProperties": true,
      "title": "Payload",
      "type": "object"
    }
  },
  "required": [
    "payload"
  ],
  "title": "PipelineInputUpdateRequest",
  "type": "object"
}

PipelineInputUpdateRequest

Properties

Name Type Required Restrictions Description
payload object true none

ValidationError

{
  "properties": {
    "ctx": {
      "title": "Context",
      "type": "object"
    },
    "input": {
      "title": "Input"
    },
    "loc": {
      "items": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "integer"
          }
        ]
      },
      "title": "Location",
      "type": "array"
    },
    "msg": {
      "title": "Message",
      "type": "string"
    },
    "type": {
      "title": "Error Type",
      "type": "string"
    }
  },
  "required": [
    "loc",
    "msg",
    "type"
  ],
  "title": "ValidationError",
  "type": "object"
}

ValidationError

Properties

Name Type Required Restrictions Description
ctx object false none
input any false none
loc [anyOf] true none

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous integer false none

continued

Name Type Required Restrictions Description
msg string true none
type string true none